VALABIND(1)

NAME
valabind - converts vapi files to SWIG, C++, GIR or GEAR files

SYNOPSIS
valabind [options] FILES

DESCRIPTION
valabind is a tool to parse vala or vapi files and transform them into SWIG interface files, C++ source files, GIR or GEAR.

It allows easy, fully automatic generation of language bindings for vala code.

OPTIONS

-h
--help
    Show help options

-D SYMBOL
--define=SYMBOL
    define SYMBOL

--pkg=PACKAGE
    include binding for PACKAGE

-V VAPIDIR
--vapidir=VAPIDIR
    define alternative vapi directory

-I INCLUDEDIR
--include-dir=INCLUDEDIR
    add include path

-v
--version
    show version information

-o OUTPUT
--output=OUTPUT
    specify output file name

-m NAME
--module=NAME
    specify module name

-N NSPACE
--namespace=NSPACE
    include namespace in the output

-x
--cxx-swig
    generate C++ code for SWIG

--glib
    call g_type_init before any constructor

--swig
    generate swig interface code

--camel-getters
    translate {get,set}_foo into {get,set}Foo

--node-ffi
    generate node-ffi interface

-l
--library
    library to link

--ctypes
    generate python ctypes interface

--gir
    generate GIR (GObject-Introspection-Runtime)

--cxx
    generate C++ interface code

--dlang
    generate D bindings

--go
    generate Go bindings

SEE ALSO
valac(1)

AUTHOR
valabind was written by Pancake.

This manual page was written by Sebastian Reichel <sre@debian.org>, for the Debian project (but may be used by others).